package myhibernate.intro.util;

import org.hibernate.SessionFactory;
import org.hibernate.cfg.Configuration;
import org.hibernate.service.ServiceRegistryBuilder;

public class HibernateUtil {

  private static SessionFactory sessionFactory = buildConfiguration();

  private static SessionFactory buildConfiguration() {
    Configuration configuration = new Configuration();
    configuration.configure(/* "hibernate.cfg.xml" */);
    ServiceRegistryBuilder serviceRegistryBuilder = new ServiceRegistryBuilder().applySettings(configuration
        .getProperties());
    return configuration
        .buildSessionFactory(serviceRegistryBuilder.buildServiceRegistry());

  }

  public static SessionFactory getSessionFactory() {
    return sessionFactory;
  }
}